Subject: bug#24682: Emacs 25 from GIT build issue under Ubuntu 16.10

From: Cesar Quiroz <[email-masked]>
Date: Sun, 16 Oct 2016 22:03:58 -0700

I applied the patch to my local copy of emacs-25, and it built fine.  Will
test the official port when available.

Going back to the master branch build, the log shows a warning, unrelated
to the -no-pie issue:

  CC       gmalloc.o
/work/emacs/master/src/gmalloc.c:1760:1: warning: no previous prototype for
‘hybrid_aligned_alloc’ [-Wmissing-prototypes]
 hybrid_aligned_alloc (size_t alignment, size_t size)
 ^~~~~~~~~~~~~~~~~~~~

This is not happening in the emacs-25 branch. Maybe the conditional
compilation is hiding a prototype in master but not in emacs-25. I will
take another look, and report it tomorrow if I can confirm the difference.

--César

On Sun, Oct 16, 2016 at 8:04 PM, Cesar Quiroz <[email-masked]>
wrote:

>
>
> --César
>
> On Sun, Oct 16, 2016 at 4:56 PM, Paul Eggert <[email-masked]> wrote:
>
>> Cesar Quiroz wrote:
>>
>>> There was something in the release notes about -no-pie being the standard
>>> negation of -pie, while -nopie was introduced (by Debian?) to deal with
>>> the
>>> issue.
>>>
>>
>> Which release notes?
>>
>
> I meant 16.10:  https://wiki.ubuntu.com/YakketyYak/ReleaseNotes, and from
> there specifically:
>
> https://wiki.ubuntu.com/SecurityTeam/PIE
>
>
>> I installed the attached into the Emacs master branch; does it fix the
>> problem? If so, I'll backport it to emacs-25 and ask you to test that.
>>
>
> Works for master; ready to test emacs-25.
>
> For reference, I did a 'git clean -fdx' in the git workdir, autogen, and
> then I configured the build area with
>
> $ ./config.status --config
> '--with-x-toolkit=gtk3' '--with-file-notification=yes' '--with-modules'
> $
>
>
>